Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class JtdsResultSetMetaData

    java.lang.Object
      |
      +--net.sourceforge.jtds.jdbc.JtdsResultSetMetaData

All Implemented Interfaces:
  java.sql.ResultSetMetaData

public class JtdsResultSetMetaData
extends java.lang.Object
implements java.sql.ResultSetMetaData

jTDS implementation of the java.sql.ResultSetMetaData interface.

Implementation notes:

1. New simple implementation required by the new column info structure.
2. Unlike the equivalent in the older jTDS, this version is generic and does not need to know details of the TDS protocol.

Version:
  $Id: JtdsResultSetMetaData.java,v 1.8 2005/06/16 09:32:27 alin_sinpalean Exp $
Author:
  Mike Hutchinson

Field Summary
`private int` | `columnCount`
`private ColInfo[]` | `columns`
`private boolean` | `useLOBs`

Fields inherited from interface java.sql.ResultSetMetaData
`columnNoNulls, columnNullable, columnNullableUnknown`

Constructor Summary
`(package private)` | `JtdsResultSetMetaData(ColInfo[] columns, int columnCount, boolean useLOBs)` Construct ResultSetMetaData object over the current ColInfo array.

Method Summary
`java.lang.String` | `getCatalogName(int column)`
`(package private) ColInfo` | `getColumn(int column)` Return the column descriptor given a column index.
`java.lang.String` | `getColumnClassName(int column)`
`int` | `getColumnCount()`
`int` | `getColumnDisplaySize(int column)`
`java.lang.String` | `getColumnLabel(int column)`
`java.lang.String` | `getColumnName(int column)`
`int` | `getColumnType(int column)`
`java.lang.String` | `getColumnTypeName(int column)`
`int` | `getPrecision(int column)`
`int` | `getScale(int column)`
`java.lang.String` | `getSchemaName(int column)`
`java.lang.String` | `getTableName(int column)`
`boolean` | `isAutoIncrement(int column)`
`boolean` | `isCaseSensitive(int column)`
`boolean` | `isCurrency(int column)`
`boolean` | `isDefinitelyWritable(int column)`
`int` | `isNullable(int column)`
`boolean` | `isReadOnly(int column)`
`boolean` | `isSearchable(int column)`
`boolean` | `isSigned(int column)`
`boolean` | `isWritable(int column)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### columns

    private final ColInfo[] columns

### columnCount

    private final int columnCount

### useLOBs

    private final boolean useLOBs

Constructor Detail

### JtdsResultSetMetaData

    JtdsResultSetMetaData(ColInfo[] columns,
                          int columnCount,
                          boolean useLOBs)

  Construct ResultSetMetaData object over the current ColInfo array.
  Parameters:
    `columns` - The current ColInfo row descriptor array.
    `columnCount` - The number of visible columns.

Method Detail

### getColumn

    ColInfo getColumn(int column)
                throws java.sql.SQLException

  Return the column descriptor given a column index.
  Parameters:
    `column` - The column index (from 1 .. n).
  Returns:
    The column descriptor as a `ColInfo`.``
  Throws:
    `java.sql.SQLException` -

### getColumnCount

    public int getColumnCount()
                       throws java.sql.SQLException

  Specified by:
    `getColumnCount` in interface `java.sql.ResultSetMetaData`

### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws java.sql.SQLException

  Specified by:
    `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`

### getColumnType

    public int getColumnType(int column)
                      throws java.sql.SQLException

  Specified by:
    `getColumnType` in interface `java.sql.ResultSetMetaData`

### getPrecision

    public int getPrecision(int column)
                     throws java.sql.SQLException

  Specified by:
    `getPrecision` in interface `java.sql.ResultSetMetaData`

### getScale

    public int getScale(int column)
                 throws java.sql.SQLException

  Specified by:
    `getScale` in interface `java.sql.ResultSetMetaData`

### isNullable

    public int isNullable(int column)
                   throws java.sql.SQLException

  Specified by:
    `isNullable` in interface `java.sql.ResultSetMetaData`

### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws java.sql.SQLException

  Specified by:
    `isAutoIncrement` in interface `java.sql.ResultSetMetaData`

### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws java.sql.SQLException

  Specified by:
    `isCaseSensitive` in interface `java.sql.ResultSetMetaData`

### isCurrency

    public boolean isCurrency(int column)
                       throws java.sql.SQLException

  Specified by:
    `isCurrency` in interface `java.sql.ResultSetMetaData`

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws java.sql.SQLException

  Specified by:
    `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`

### isReadOnly

    public boolean isReadOnly(int column)
                       throws java.sql.SQLException

  Specified by:
    `isReadOnly` in interface `java.sql.ResultSetMetaData`

### isSearchable

    public boolean isSearchable(int column)
                         throws java.sql.SQLException

  Specified by:
    `isSearchable` in interface `java.sql.ResultSetMetaData`

### isSigned

    public boolean isSigned(int column)
                     throws java.sql.SQLException

  Specified by:
    `isSigned` in interface `java.sql.ResultSetMetaData`

### isWritable

    public boolean isWritable(int column)
                       throws java.sql.SQLException

  Specified by:
    `isWritable` in interface `java.sql.ResultSetMetaData`

### getCatalogName

    public java.lang.String getCatalogName(int column)
                                    throws java.sql.SQLException

  Specified by:
    `getCatalogName` in interface `java.sql.ResultSetMetaData`

### getColumnClassName

    public java.lang.String getColumnClassName(int column)
                                        throws java.sql.SQLException

  Specified by:
    `getColumnClassName` in interface `java.sql.ResultSetMetaData`

### getColumnLabel

    public java.lang.String getColumnLabel(int column)
                                    throws java.sql.SQLException

  Specified by:
    `getColumnLabel` in interface `java.sql.ResultSetMetaData`

### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws java.sql.SQLException

  Specified by:
    `getColumnName` in interface `java.sql.ResultSetMetaData`

### getColumnTypeName

    public java.lang.String getColumnTypeName(int column)
                                       throws java.sql.SQLException

  Specified by:
    `getColumnTypeName` in interface `java.sql.ResultSetMetaData`

### getSchemaName

    public java.lang.String getSchemaName(int column)
                                   throws java.sql.SQLException

  Specified by:
    `getSchemaName` in interface `java.sql.ResultSetMetaData`

### getTableName

    public java.lang.String getTableName(int column)
                                  throws java.sql.SQLException

  Specified by:
    `getTableName` in interface `java.sql.ResultSetMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on November 8 2005